>From c4650000052514f3d1f3dfee473b2f582bd88e90 Mon Sep 17 00:00:00 2001
From: Andrew Wafaa <awafaa@opensuse.org>
Date: Mon, 14 Nov 2011 21:22:11 +0000
Subject: [PATCH] Add ARM support for iMX51, OMAP2plus & Tegra SoC

---
 config.conf               |    6 +
 config/armv7l/default     | 5200 +++++++++++++++++++++++++++++++++++++++++++++
 config/armv7l/imx51       | 1635 ++++++++++++++
 config/armv7l/omap2plus   | 2487 ++++++++++++++++++++++
 config/armv7l/tegra       | 1637 ++++++++++++++
 rpm/arch-symbols          |    5 +-
 rpm/kernel-binary.spec.in |    2 +-
 rpm/mkspec                |    1 -
 rpm/package-descriptions  |   18 +
 9 files changed, 10985 insertions(+), 6 deletions(-)
 create mode 100644 config/armv7l/default
 create mode 100644 config/armv7l/imx51
 create mode 100644 config/armv7l/omap2plus
 create mode 100644 config/armv7l/tegra

diff --git a/config.conf b/config.conf
index f7fa404..69ea02b 100644
--- a/config.conf
+++ b/config.conf
@@ -40,6 +40,12 @@
 # maybe the kernels above were patched to death?
 +ppc		ppc/vanilla
 
+# ARM architectures
++armv7l         armv7l/default
++armv7l         armv7l/imx51
++armv7l         armv7l/omap2plus
++armv7l         armv7l/tegra
+
 # SLES
 # identical to ppc64 flavor, all KMP packages need a kernel-default
 # Up to now, the openSuSE 11.1 ppc media can not have a 
diff --git a/rpm/arch-symbols b/rpm/arch-symbols
index f714e67..49e58f1 100755
--- a/rpm/arch-symbols
+++ b/rpm/arch-symbols
@@ -25,7 +25,7 @@
 
 if [ "$1" = "--list" ]; then
     # List all known architectures
-    echo i386 mips{,64} sparc{,64} ppc{,64} s390{,x} ia64 x86_64 alpha parisc arm
+    echo i386 mips{,64} sparc{,64} ppc{,64} s390{,x} ia64 x86_64 alpha parisc armv5tel armv7l
     exit 0
 fi
 
@@ -39,9 +39,6 @@ case "$ARCH" in
     i?86 | pentium3 | pentium4 | athlon | geode)
         echo i386
         ;;
-    arm*)
-        echo arm
-        ;;
     *)
         echo "$ARCH"
         ;;
diff --git a/rpm/kernel-binary.spec.in b/rpm/kernel-binary.spec.in
index 4a48471..ceed20f 100644
--- a/rpm/kernel-binary.spec.in
+++ b/rpm/kernel-binary.spec.in
@@ -378,7 +378,7 @@ add_vmlinux()
     cp -p arch/alpha/boot/vmlinux.gz %buildroot/boot/vmlinuz-%kernelrelease-%build_flavor
     image=vmlinuz
 %endif
-%ifarch ppc ppc64
+%ifarch ppc ppc64 %arm
     add_vmlinux
     image=vmlinux
 %endif
diff --git a/rpm/mkspec b/rpm/mkspec
index 5a27c99..5815137 100755
--- a/rpm/mkspec
+++ b/rpm/mkspec
@@ -248,7 +248,6 @@ sub arch2rpm {
 sub _arch2rpm {
 	my $arch = shift;
 	return "\%ix86" if $arch eq "i386";
-	return "\%arm" if $arch eq "arm";
 	return $arch;
 }
 
diff --git a/rpm/package-descriptions b/rpm/package-descriptions
index 8b52e2e..fc81822 100644
--- a/rpm/package-descriptions
+++ b/rpm/package-descriptions
@@ -121,3 +121,21 @@ VMI-enabled kernel
 
 The Linux Kernel designed to run on top of a virtual machine
 interface layer (VMI).
+
+=== kernel-imx51 ===
+Kernel for Freescale's iMX SoC
+
+The standard kernel for Freescale's i.MX51 SoC, as found in 
+devices like the Genesi EfikaMX family.
+
+=== kernel-omap2plus ===
+Kernel for Texas instrument's OMAP SoC
+
+The standard kernel for Texas instrument's OMAP SoC, as 
+found in devices like the PandaBoard and BeagleBoard.
+
+=== kernel-tegra ===
+Kernel for Nvidia's Tegra SoC
+
+The standard kernel for Nvidia's Tegra SoC, as found in 
+devices like the TrimSlice.
-- 
1.7.7.3

